Outdated and incompatible at least for FF 6.0 Rated 3 out of 5 stars

A very interesting AddOn, which helped in some special situations really good.
Unfortunately it seems to be incompatible with newer versions of FF, on its own website one can see it as to be on version 3.0.0.17, though here there is only 3.0.0.16 available... and nobody seem to recognize it - is it dead?!?!?
That's a pity!

This review is for a previous version of the add-on (3.0.0.16.1-signed).